Package csb :: Package bio :: Package fragments :: Class ChemShiftTarget

[frames] | no frames]

# Class ChemShiftTarget

source code

                object --+
                         |
    core.AbstractContainer --+
                             |
      core.AbstractNIContainer --+
                                 |
                            Target --+
                                     |
                                    ChemShiftTarget

Nested Classes
Inherited from `core.AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self, id, length, residues, overlap=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

assign(self, fragment) Add a new fragment match. | source code

Target

clone(self) Returns: a deep copy of the target | source code

Inherited from `Target`: `assignall`, `filter` Inherited from `core.AbstractNIContainer`: `__getitem__` Inherited from `core.AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Target`: `deserialize`, `from_profile`, `from_sequence`

Class Variables
Inherited from `Target`: `__abstractmethods__`

Properties
Inherited from `Target`: `accession`, `chain_id`, `errors`, `id`, `length`, `matches`, `max_overlap`, `residues`, `sequence` Inherited from `object`: `__class__`

Method Details

### __init__(self, id, length, residues, overlap=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `id` - target sequence ID, in PDB accnC format
  - `length` - total target sequence length
  - `residues` - a list, containing target's residues. See also Target.from_sequence
Overrides: object.__init__
  (inherited documentation)

### assign(self, fragment)

source code

Add a new fragment match.

Parameters:
  - `fragment` - fragment to assign
Overrides: Target.assign
  (inherited documentation)

### clone(self)

source code

Returns: Target
  a deep copy of the target
Overrides: Target.clone
  (inherited documentation)